From 27ece3637c0ec5fa91cacf511349e290a1440ba9 Mon Sep 17 00:00:00 2001
From: Yuya Nishihara <yuya@tcha.org>
Date: Sat, 25 Jan 2025 11:08:48 +0900
Subject: [PATCH] tests: use inspect.getdoc() to get around breaking change in
 Python 3.13

https://github.com/python/cpython/issues/81283

Fixes #99
---
 tests/test_functional.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/tests/test_functional.py b/tests/test_functional.py
index 8ef6a3d..8efc240 100644
--- a/tests/test_functional.py
+++ b/tests/test_functional.py
@@ -1,4 +1,5 @@
 import glob
+import inspect
 import os
 import re
 import tempfile
@@ -55,7 +56,7 @@ def test():
                     rst2pdf.__file__
                 except ImportError:
                     raise unittest.SkipTest
-            src = '\n'.join(l[4:] for l in func.__doc__.splitlines()[2:])
+            src = ''.join(inspect.getdoc(func).splitlines(keepends=True)[2:])
             os.mkdir(_outdir)
             try:
                 runsphinx(src, builder, confoverrides)
